%define oname gtk-sharp
%define monodir %{_prefix}/lib/mono

Summary:	C# language binding for the gtk+ toolkit
Name:		gtk-sharp2
Version:	2.12.21
Release:	4
License:	LGPLv2
Group:		Development/C#
URL:		http://gtk-sharp.sourceforge.net/
Source0:	http://download.mono-project.com/sources/gtk-sharp212/%{oname}-%{version}.tar.gz
Requires: glib-sharp2 = %{version}
BuildRequires: pkgconfig(atk)
BuildRequires: pkgconfig(gobject-2.0) >= 2.12.0
BuildRequires: pkgconfig(gtk+-2.0) >= 2.12.0
BuildRequires: pkgconfig(libglade-2.0) >= 2.3.6
BuildRequires: pkgconfig(mono-2) >= 1.0
BuildRequires: pkgconfig(mono-cairo) >= 1.0
BuildRequires: pkgconfig(pango)
BuildRequires:	monodoc

%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package devel
Summary: C# code generation tools for %name
Group: Development/C#

%description devel
This contains the code generation tools of gtk-sharp. It is needed for building
C# wrappers for GObject APIs.

%package -n glib-sharp2
Summary:        C# binding for glib
Group:          Development/C#
Requires:       mono >= 1.0

%description -n glib-sharp2
Glib-sharp is a C# language binding for glib.

%package -n glade-sharp2
Summary:        C# binding for glade
Group:          Development/C#
Requires: %{name} = %{version}

%description -n glade-sharp2
Glade-sharp is a C# language binding for glade.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/C#
BuildArch:	noarch
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp. 

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x
make

%install
%makeinstall_std

rm -rf %{buildroot}%{_libdir}/lib*a
rm -fr sample/valtest/{.deps, .libs}

# Docs are broken for now...
# %post doc
# %{_bindir}/monodoc --make-index > /dev/null

# %postun doc
# if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then %{_bindir}/monodoc --make-index > /dev/null
# fi

%files
%{monodir}/gac/*atk-sharp
%{monodir}/gac/*gdk-sharp
%{monodir}/gac/*gtk-dotnet
%{monodir}/gac/*gtk-sharp
%{monodir}/gac/*pango-sharp
%{monodir}/%{oname}-2.0/*atk-sharp.dll*
%{monodir}/%{oname}-2.0/*gdk-sharp.dll*
%{monodir}/%{oname}-2.0/*gtk-sharp.dll*
%{monodir}/%{oname}-2.0/*gtk-dotnet.dll*
%{monodir}/%{oname}-2.0/*pango-sharp.dll*
%{_libdir}/libatksharpglue-2.so
%{_libdir}/libgdksharpglue-2.so
%{_libdir}/libgtksharpglue-2.so
%{_libdir}/libpangosharpglue-2.so
%{_libdir}/pkgconfig/gtk-sharp-2.0.pc
%{_libdir}/pkgconfig/gtk-dotnet-2.0.pc

%files -n glib-sharp2
%{monodir}/gac/*glib-sharp
%{monodir}/%{oname}-2.0/*glib-sharp.dll*
%{_libdir}/libglibsharpglue-2.so
%{_libdir}/pkgconfig/glib-sharp-2.0.pc

%files -n glade-sharp2
%{monodir}/gac/*glade-sharp
%{monodir}/%{oname}-2.0/*glade-sharp.dll*
%{_libdir}/pkgconfig/glade-sharp-2.0.pc
%{_libdir}/libgladesharpglue-2.so

%files doc
%doc ChangeLog README README.generator
%{_prefix}/lib/monodoc/sources/gtk*

%files devel
%{_bindir}/*
%{_datadir}/gapi-2.0/
%{_libdir}/pkgconfig/gapi-2.0.pc
%{_prefix}/lib/%{oname}-2.0/

%changelog
* Wed Jan 14 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.12.21-4
+ Revision: 966dc08
- Disable post scripts - monodoc is broken for now


